rollup-plugin-buble

Compile ES2015 with buble

This module has been deprecated and is no longer maintained. Please use @rollup/plugin-buble.
Last updated 2 years ago by adrianheine .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install rollup-plugin-buble 
SYNC missed versions from official npm registry.

rollup-plugin-buble

Convert ES2015 with buble.

Installation

npm install --save-dev rollup-plugin-buble

Usage

import { rollup } from 'rollup';
import buble from 'rollup-plugin-buble';

rollup({
  entry: 'main.js',
  plugins: [ buble() ]
}).then(...)

Options

  • include: a micromatch pattern, or array of patterns, specifying files to include
  • exclude: a micromatch pattern, or array of patterns, specifying files to exclude
  • transforms: an object of transform options, per the Buble docs

License

MIT

Current Tags

  • 0.19.8                                ...           latest (2 years ago)

26 Versions

  • 0.19.8 [deprecated]           ...           2 years ago
  • 0.19.6 [deprecated]           ...           3 years ago
  • 0.19.4 [deprecated]           ...           3 years ago
  • 0.19.2 [deprecated]           ...           4 years ago
  • 0.19.1 [deprecated]           ...           4 years ago
  • 0.19.0 [deprecated]           ...           4 years ago
  • 0.18.0 [deprecated]           ...           4 years ago
  • 0.17.0 [deprecated]           ...           4 years ago
  • 0.16.0 [deprecated]           ...           4 years ago
  • 0.15.0 [deprecated]           ...           5 years ago
  • 0.14.0 [deprecated]           ...           5 years ago
  • 0.13.0 [deprecated]           ...           5 years ago
  • 0.12.1 [deprecated]           ...           5 years ago
  • 0.12.0 [deprecated]           ...           5 years ago
  • 0.11.0 [deprecated]           ...           5 years ago
  • 0.10.0 [deprecated]           ...           5 years ago
  • 0.9.0 [deprecated]           ...           5 years ago
  • 0.8.0 [deprecated]           ...           5 years ago
  • 0.7.0 [deprecated]           ...           5 years ago
  • 0.6.0 [deprecated]           ...           6 years ago
  • 0.5.0 [deprecated]           ...           6 years ago
  • 0.4.0 [deprecated]           ...           6 years ago
  • 0.3.4 [deprecated]           ...           6 years ago
  • 0.2.3 [deprecated]           ...           6 years ago
  • 0.2.2 [deprecated]           ...           6 years ago
  • 0.1.0 [deprecated]           ...           6 years ago
Maintainers (1)
Downloads
Today 87
This Week 691
This Month 4,436
Last Day 272
Last Week 1,346
Last Month 25,755
Dependencies (2)
Dev Dependencies (3)
Dependents (319)

Copyright 2014 - 2021 © npmmirror.com |